Skip to main content

Get all events

GEThttps://api.propexo.com/v1/events/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external ID of the event from the integration vendor

x_property_id string

The external ID of the property from the integration vendor

x_type_id string

The external ID of the type from the integration vendor

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo unique identifier for the property

lead_id string

The Propexo unique identifier for the lead

applicant_id string

The Propexo unique identifier for the applicant

resident_id string

The Propexo unique identifier for the resident

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the event

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Resident Service ODEGetResidentsActivityLogbyDateRange
    Example: cx5pq3v2nirc1chtkwlhz4w1v
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Resident Service ODEGetResidentsActivityLogbyDateRange
    Example: 1000001
    x_leasing_agent_idnullrequired

    The external ID of the leasing agent from the integration vendor

    Notice

    This field will always be null for REALPAGE

    Example: null
    x_type_idnullrequired

    The external ID of the type from the integration vendor

    Notice

    This field will always be null for REALPAGE

    Example: null
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for REALPAGE

    Example: null
    event_namestring | nullnullablerequired

    The name of the event

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: Tour
    event_datetimestring | nullnullablerequired

    The datetime that the event occurred

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Resident Service ODEGetResidentsActivityLogbyDateRange
    Example: 2024-05-10T14:00:00.000Z
    appointment_datetimenullrequired

    The datetime that the event appointment occurred

    Notice

    This field will always be null for REALPAGE

    Example: null
    type_rawstring | nullnullablerequired

    The type of event

    InterfaceMethod
    Resident Service ODEGetResidentsActivityLogbyDateRange
    Example: Phone call
    notesstring | nullnullablerequired

    Notes associated with the event

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Resident Service ODEGetResidentsActivityLogbyDateRange
    Example: Scheduled a property tour
    agent_namestring | nullnullablerequired

    The name of the agent associated with the event

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: Alex Morgan
    reasons_for_eventstring | nullnullablerequired

    Reasons that the event occurred

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: Looking for a one bedroom
    associated_lead_idsstring[]nullablerequired

    The lead IDs associated with the event

    Notice

    This field is not currently hydrated for REALPAGE

    associated_applicant_idsstring[]nullablerequired

    The applicant IDs associated with the event

    Notice

    This field is not currently hydrated for REALPAGE

    associated_resident_idsstring[]nullablerequired

    The resident IDs associated with the event

    Notice

    This field is not currently hydrated for REALPAGE

    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum19required

    The property management system of record

    Show 13 enum values
    REALPAGEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: REALPAGE
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/events/
curl https://api.propexo.com/v1/events/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cx5pq3v2nirc1chtkwlhz4w1v",
"x_property_id": "1000001",
"x_leasing_agent_id": null,
"x_type_id": null,
"x_location_id": null,
"event_name": "Tour",
"event_datetime": "2024-05-10T14:00:00.000Z",
"appointment_datetime": null,
"type_raw": "Phone call",
"notes": "Scheduled a property tour",
"agent_name": "Alex Morgan",
"reasons_for_event": "Looking for a one bedroom",
"associated_lead_ids": "Unknown Type: array,null",
"associated_applicant_ids": "Unknown Type: array,null",
"associated_resident_ids": "Unknown Type: array,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}